<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>E-Mobile移动门户管理平台</title>
<script src="/js/jquery/jquery.js" type="text/javascript"></script>
<link href="/css/V50/common.css" rel="stylesheet" type="text/css" />
<style>
html,body {
  height: 100%;
  margin: 0;
  padding: 0;
  font-family: "微软雅黑", Arial, Helvetica, sans-serif;
  font-size: 14px;
  
  background: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#CBCBCB));/* Webkit: Safari 4-5, Chrome 1-9 */
  background: -webkit-linear-gradient(top, #FFFFFF, #CBCBCB);/* Webkit: Safari 5.1+, Chrome 10+ */
  background: -moz-linear-gradient(top, #FFFFFF, #CBCBCB);/* Firefox 3.6+ */
  background: -o-linear-gradient(top, #FFFFFF, #CBCBCB);/* Opera 11.10+ */
  background: -ms-linear-gradient(top, #FFFFFF, #CBCBCB);/* IE 10 */
  filter: progid:DXImageTransform.Microsoft.Gradient(startColorstr='#FFFFFF', endColorstr='#CBCBCB', GradientType='0');/* IE < 10 */
  background: linear-gradient(#FFFFFF, #CBCBCB);/* CSS3 标准 */
  background: #ffffff;
}

div#wrap {
  height:100%;
  display:table;
  width:276px;
  margin: 0 auto;
 }
 div#content {
  vertical-align:middle;
  display:table-cell;
  width:276px;
 }

.inputdiv {
  width: 285px;
  height: 38px;
  line-height: 38px;
  color: #a2a2a2;
  margin-top: 25px;
  position: relative;
  border-bottom: 1px solid #c1c1c1;
}

.inputdiv img {
  margin-bottom: -3px;
}

input[type=text], input[type=password] {
  height: 20px;
  line-height: 20px;
  width: 205px;
  border: none;
  background-color: transparent;
  color: #a2a2a2;
  outline:none;
}

input.content {
  position: absolute;
  left: 55px;
  top: 8px;
}

input#login {
  width: 285px;
  height: 45px;
  padding: 0;
  margin: 0;
  border: 0;
  background-color: #308ddd;
  color: #ffffff;
  font-weight: bold;
  cursor: pointer;
  outline: none;
  border-radius:3px;
}

input#login:hover {
  background-color: #409cec;
}

#authimg {
  margin-bottom: -6px;
  cursor: pointer;
  display:none;
}
</style>
<script>
if (top.location !== self.location) { 
    top.location=self.location; 
}

function authLoad(){
	$("#codeLoading").hide();
	$("#authimg").show();
}

function check() {
	if($("#loginid").val()=="") {
		alert("请输入用户名！");
		return false;
	}
	if($("#password").val()=="") {
		alert("请输入密码！");
		return false;
	}
	if($("#authcode").val()=="") {
		alert("请输入验证码！");
		return false;
	}
}

  $(document).ready(function(){
  	var content = $(".content");
  	$.each(content,function(i,n){
  		var value = $(n).val();
  		if(value != ""){
  			$("#"+$(n).attr("tip")).hide();
  		}
  	});
	$(".content").focus(function(){
  	  $("#"+$(this).attr("tip")).hide();
  	}).blur(function(){
  	  if($(this).val() == "") {
  	  	$("#"+$(this).attr("tip")).show();
      }
  	});
    
    $("#authimg").click(function(){
    	$("#codeLoading").show();
    	$(this).hide().attr("src","/manager/authcode.do?t="+Math.random());
    }).click();
    
    $("#loginid").focus();
  });
</script>
</head>
<body>
  <div id="wrap">
    <div id="content">
      <form onsubmit="return check();" name=form1 action="verifyLogin.do" method="post">
      <p style="text-align: center;"><img src="/images/manager/V50/logo1.png"></p>
      <!--<p style="color:#7F96B9;font-size: 16px;text-align: center;margin-top:42px;">泛微移动平台&nbsp;为您构建实时企业</p>
      -->
      <s:if test='message != null && message != ""'>
        <p style="color:#FF8360;text-align:center;">
          <s:if test="message==112">验证码错误</s:if>
          <s:elseif test="message==102">密码错误</s:elseif>
          <s:elseif test="message==103">用户不存在</s:elseif>
          <s:elseif test="message==110">没有权限</s:elseif>
          <s:elseif test="message==105">出现异常</s:elseif>
          <s:else><s:text var="msg" name="message"/><s:property value="msg" escape="true"/></s:else>
        </p>
      </s:if>
      <div class="inputdiv">
        <img src="/images/manager/V50/password1.png">&nbsp;&nbsp;&nbsp;&nbsp;<span id="logintip">账号</span>
        <input id="loginid" name="loginid" type="text" value="" class="content" tip="logintip" autocomplete="off">
      </div>
      <div class="inputdiv">
        <img src="/images/manager/V50/username1.png">&nbsp;&nbsp;&nbsp;&nbsp;<span id="pwdtip">密码</span>
        <input id="password" name="password" type="password" value="" class="content" tip="pwdtip" autocomplete="off">
      </div>
      <div class="inputdiv">
        <span>验证码：</span><input id="authcode" name="authcode" type="text" value="" style="width:110px;margin-bottom: 5px;" autocomplete="off">
        <img id="authimg" src="" onload="authLoad()" style="margin-left: 20px;" title="点击切换验证码">
        <img id="codeLoading" style="margin-left: 50px;" src="/images/manager/V50/loading-1.gif">
      </div>
      <p style="text-align: center;margin-top:45px;"><input type="submit" id="login" value="登&nbsp;&nbsp;录"></p>
      </form>
    </div>
  </div>
</body>
</html>