<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="author" content="Weaver E-Mobile Dev Group" />
	<meta name="description" content="Weaver E-mobile" />
	<meta name="keywords" content="weaver,e-mobile" />
	<meta name="viewport" content="width=device-width,minimum-scale=1.0, maximum-scale=5.0" />
	<title></title>
	<style type="text/css">
	html,body {
		height:100%;
		margin:0;
		padding:0;
		font-size:9pt;
		background: #00538D;
	}
	a {	
		text-decoration: none;
	}
	table {
		border-collapse: separate;
		border-spacing: 0px;
	}
	#page {
		width:100%;
		height:100%;
		background: -moz-linear-gradient(top, #C8E8F5, #00538D);
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#C8E8F5', endColorstr='#00538D');
		background: -webkit-gradient(linear, left top, left bottom, from(#C8E8F5), to(#00538D));
	}
	#accountul {
		list-style:none;
	}
	#accountul li {
		width:90%;
		border-bottom: 1px solid #CCC;
		padding: 10px;
	}
	</style>
</head>
<body>

<s:set id="headerpicurl" value=""></s:set>
<s:if test='user["headerpic"].isEmpty()'>
<s:set id="headerpicurl" value="/images/icon_user.png"></s:set>
</s:if>
<s:else>
<s:if test='user["headerpic"].substring(0,3)=="http"'>
<s:set id="headerpicurl" value='user["headerpic"]'></s:set>
</s:if>
<s:else>
<s:set id="headerpicurl" value='"/downloadpic.do?moduleid=-1&url="+user["headerpic"]'></s:set>
</s:else>
</s:else>

<table id="page"><tr><td width="100%" height="100%" valign="top" align="left">

	<s:form action="chgaccount" id="accountform">

	<table style="height:100%;width:100%;">
		<tr>
			<td height="5px;"></td>
		</tr>
	
		<tr>
			<td width="100%" height="60px;" valign="middle" style="background: url(/images/bg_b_45.png);">
				<div id="userinfo" style="float:left;">
					
					<table style="width:100%;height:100%;">
						<tr>
							<td rowspan="3" width="60px;" align="center" valign="middle">
								<s:a action="account">
								<img id="userheaderpic" alt="" src="${headerpicurl}" height="48px" border="3px" style="border-color: #FFF;-webkit-border-radius: 6px;-moz-border-radius: 6px;">
								</s:a>
							</td>
							<td align="left" valign="middle" style="height:26px;color:#FFF;font-size:14px;font-weight:bold;">
							<span id="usernamespan">${user["name"]}</span>&nbsp;&nbsp;&nbsp;&nbsp;<s:text name="page.home.html.welcome"/></td>
						</tr>
						<tr>
							<td id="datetd" align="left" valign="middle" style="height:17px;color:#FFF;font-size:11px;">
							${date}
							</td>
						</tr>
						<tr>
							<td id="daytd" align="left" valign="middle" style="height:17px;color:#FFF;font-size:11px;">
							${day}
							</td>
						</tr>
					</table>

				</div>
				
				<div id="toolinfo" style="float:right;width:60px;height:60px;position:relative;">
					<a href="/home.do">
					<div style="position:absolute;top:5px;width:56px;height:26px;background:url('/images/bg-top-btn.png') no-repeat;text-align:center;line-height:26px;color:#000;">
					<s:text name="page.account.html.btn.back"/>
					</div>
					</a>
	
					<s:submit value="%{getText('page.account.html.btn.ok')}" cssStyle="position:absolute;bottom:0px;width:56px;height:26px;font-size:9pt;border:none;background:url(/images/bg-top-btn.png) repeat scroll 0 0 transparent;"></s:submit>
				</div>
				
				<div style="clear: both;"></div>
				
			</td>
		</tr>
		
		<tr>
			<td height="5px;"></td>
		</tr>
		
		<s:if test="!message.isEmpty()">
		<tr>
			<td style="padding-left:50px;padding-top:20px;">
				<s:text var="msg" name="message"/>
				<s:property value="msg" escape="true"/>
			</td>
		</tr>
		</s:if>
	
		<tr>
			<td align="center" valign="top">
				
				<ul id="accountul">
					
					<s:iterator id="account" value='accounts' status='st'>
					
					<li>
						<div style="height:45px;position:relative;">
						<s:if test='!#account["headerpic"].isEmpty()'>
						<img style="height:45px;position:absolute;top:0px;left:0px;" src="/downloadpic.do?moduleid=-1&url=${account["headerpic"]}">
						</s:if>
						<span style="height:25px;position:absolute;top:4px;left:50px;">
						${account["name"]}&nbsp;&nbsp;&nbsp;[${account["jobtitle"]}]
						</span>
						<span style="height:20px;position:absolute;top:25px;left:50px;">
						${account["dept"]}&nbsp;/&nbsp;${account["subcom"]}
						</span>
						<input name="userid" value="${account["id"]}" type="radio" style="position:absolute;top:15px;right:5px;" <s:if test='#account["iscur"]=="1"'>checked</s:if>>
						</div>
					</li>
					
					</s:iterator>
					
				</ul>
				
			</td>
		</tr>
	
	</table>
	</s:form>
</td></tr>
<tr><td align="center" style="font-size:7pt;color:#FFF;">Copyright © 2001-2013 Weaver Software All Rights Reserved</td></tr>

</table>


</body>
</html>