<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="author" content="Weaver E-Mobile Dev Group" />
	<meta name="description" content="Weaver E-mobile" />
	<meta name="keywords" content="weaver,e-mobile" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title><s:if test='configs["headtext"]!=null && !configs["headtext"].isEmpty()'>${configs["headtext"]}</s:if></title>
	<style type="text/css">
	html,body {
		height:100%;
		margin:0;
		padding:0;
		font-size:9pt;
		background: #00538D;
	}
	a {
		text-decoration: none;
	}
	table {
		border-collapse: separate;
		border-spacing: 0px;
	}
	#page {
		width:100%;
		height:100%;
		background: -moz-linear-gradient(top, #C8E8F5, #00538D);
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#C8E8F5', endColorstr='#00538D');
		background: -webkit-gradient(linear, left top, left bottom, from(#C8E8F5), to(#00538D));
	}
	</style>
</head>
<body>

<table id="page"><tr><td width="100%" height="100%" valign="top" align="left">

<table style="height:100%;width:100%;">
	<tr>
		<td align="center" valign="bottom" height="250px">
		<s:if test='configs["logo"]!=null && !configs["logo"].isEmpty()'>
		<img id="logo" style="max-height:200px;max-width:250px;" src='${configs["logo"]}'>
		</s:if>
		<s:else>
		<img id="logo" height="200px" src="/images/login_logo@2x.png">
		</s:else>
		</td>
	</tr>
	<tr>
		<td align="center" valign="middle" height="20px">
			<div style="width:260px;color:#FF0000;text-align:left;">
			<s:if test='!message.isEmpty()&&((!message.equals("100")&&!message.equals("108")&&!message.equals("112"))||verify.equals("2"))'>
			<s:text var="msg" name="message"/>
			<s:property value="msg" escape="true"/>
			</s:if>
			</div>
		</td>
	</tr>
	<tr>
		<td align="center" valign="top">
		<s:form action="verifyLogin" id="loginform">
		
			<table style="width:280px;">
				<tr>
					<td colspan="2">
						<table style="height:27px;width:275px;background: url(/images/login_loginid_bg.png) no-repeat;">
							<tr>
								<td width="60px" align="center"><s:text name="page.login.form.loginid"/></td>
								<td><input type="text" name="loginid" value="${loginid}" style="border:none;height:21px;width:215px;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;" <s:if test='message.equals("100")||message.equals("106")'>readonly</s:if>></td>
							</tr>
						</table>
						<table style="height:27px;width:275px;background: url(/images/login_password_bg.png) no-repeat;">
							<tr>
								<td width="60px" align="center"><s:text name="page.login.form.password"/></td>
								<td><input type="password" name="password" value="${password}" style="border:none;height:21px;width:215px;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;" <s:if test='message.equals("100")||message.equals("106")'>readonly</s:if>></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2">

						<s:if test='message.equals("112")||message.equals("113")'>

						<div id="authdiv" style="width:275px;height:35px;position:relative;background:url(/images/login_server_bg.png) no-repeat;">
							
							<a href="/login.do">
							<div style="position:absolute;top:5px;right:5px;width:100px;text-align:center;display:block;">
							<img id="authimg" src='<s:url value="/authcode.do"/>?r=${radom}'>
							</div>
							</a>
							
							<div style="position:absolute;top:0px;left:8px;width:50px;height:35px;line-height:35px;">
							<s:text name="page.login.form.authcode"/>
							</div>
							
							<div style="position:absolute;top:7px;left:56px;width:100px;height:35px;">
							<input type="text" id="authcode" name="authcode" style="border:none;height:18px;width:100%;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;">
							</div>
							
						</div>
					
						</s:if>
					
					</td>
				</tr>
				<tr>
					<td colspan="2">
						
						<s:if test='message.equals("100")||message.equals("106")'>

						<div id="dynadiv" style="width:275px;height:35px;position:relative;background:url(/images/login_server_bg.png) no-repeat;">
							<div style="position:absolute;top:0px;left:3px;width:65px;height:35px;line-height:35px;">
							<s:text name="page.login.form.dynapass"/>
							</div>
							
							<div style="position:absolute;top:7px;left:60px;width:210px;height:35px;">
							<input type="text" id="dynapass" name="dynapass" style="border:none;height:18px;width:100%;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;">
							<input type="hidden" id="needdyna" name="needdyna" value="1"/>
							</div>
						</div>
					
						</s:if>
					
					</td>
				</tr>
				<tr>
					<td colspan="2">

						<s:if test='message.equals("108")||message.equals("109")'>

						<div id="tokendiv" style="width:275px;height:35px;position:relative;background:url(/images/login_server_bg.png) no-repeat;">
							<div style="position:absolute;top:0px;left:3px;width:65px;height:35px;line-height:35px;">
							<s:text name="page.login.form.tokenpass"/>
							</div>
							
							<div style="position:absolute;top:7px;left:60px;width:210px;height:35px;">
							<input type="text" name="tokenpass" style="border:none;height:18px;width:100%;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;">
							</div>
						</div>
					
						</s:if>
						
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<s:submit value="%{getText('page.login.form.btn.login')}" cssStyle="width:275px;height:33px;font-size:14px;border:none;background:url(/images/login_btn_bg.png) repeat scroll 0 0 transparent;"></s:submit>
					</td>
				</tr>
			
			</table>

			<input type="hidden" name="clienttype" value="Webclient">
			<input type="hidden" name="clientver" value="<s:property value="getText(version)" escape="true" />">
			<input type="hidden" name="language" value="">
			<input type="hidden" name="country" value="">
			<input type="hidden" name="verify" value="<s:property value="getText(verify)" escape="true" />">

		</s:form>
		
		</td>
	</tr>
</table>

</td></tr>
<tr><td height="30px;" align="center" valign="bottom" style="font-size:7pt;color:#FFF;">
	<s:if test='configs["loginpageinfo"]!=null && !configs["loginpageinfo"].isEmpty()'>
		<s:property value="configs.loginpageinfo" />
	</s:if>
	<s:else>
		<s:property value="getText(name)" escape="true" />&nbsp;<s:property value="getText(version)" escape="true" />
	</s:else>
</td></tr>
</table>

<s:if test="message==null||message==''">
<script type="text/javascript">
if(document.getElementById( "autologin" ).checked==true){
	document.getElementById( "loginform" ).submit();
}
</script>
</s:if>
</body>
</html>