<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="author" content="Weaver E-Mobile Dev Group" />
	<meta name="description" content="Weaver E-mobile" />
	<meta name="keywords" content="weaver,e-mobile" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title></title>
	<script type='text/javascript' src='/js/jquery/jquery.js'></script>
	<style type="text/css">
	html,body {
		height:100%;
		margin:0;
		padding:0;
		font-size:9pt;
		background: #00538D;
	}
	a {
		text-decoration: none;
	}
	table {
		border-collapse: separate;
		border-spacing: 0px;
	}
	#page {
		width:100%;
		height:100%;
		background: -moz-linear-gradient(top, #C8E8F5, #00538D);
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#C8E8F5', endColorstr='#00538D');
		background: -webkit-gradient(linear, left top, left bottom, from(#C8E8F5), to(#00538D));
	}
	#loading {
		width:250px;
		height:65px;
		line-height:65px;
		position:absolute;
		background:url("/images/loading_bg.png");
		top:50%;
		left:50%;
		display:block;
		text-align:center;
		margin-top: -32px;
		margin-left: -125px;
		z-index: 1002;
   	}
	#loadingmask {
		width: 100%;
		height: 100%;
		z-index: 1001;
		display:block;
		position:absolute;
		top:0px;
		left:0px;
		background:url("/images/bg_w_65.png");
	}
	</style>
</head>
<body>

<table id="page"><tr><td width="100%" height="100%" valign="top" align="left">

<table style="height:100%;width:100%;">
	<tr>
		<td align="center" valign="bottom" height="250px">
		<img id="logo" style="max-height:200px;max-width:250px;" src="/images/login_logo@2x.png">
		</td>
	</tr>
	<tr>
		<td align="center" valign="middle" height="20px">
			<div style="width:260px;color:#FF0000;text-align:left;">
			<s:if test='!message.isEmpty()&&((!message.equals("100")&&!message.equals("108")&&!message.equals("112"))||verify.equals("2"))'>
			<s:text var="msg" name="message"/>
			<s:property value="msg" escape="true"/>
			</s:if>
			</div>
		</td>
	</tr>
	<tr>
		<td align="center" valign="top">
		<s:form action="verifyLogin" id="loginform">
		
			<table style="width:280px;">
				<tr>
					<td colspan="2">
						<table style="height:27px;width:275px;background: url(/images/login_loginid_bg.png) no-repeat;">
							<tr>
								<td width="60px" align="center"><s:text name="page.login.form.loginid"/></td>
								
								<td><input type="text" id="loginid" name="loginid" value="${loginid}" style="border:none;height:21px;width:215px;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;"></td>
							</tr>
						</table>
						<table style="height:27px;width:275px;background: url(/images/login_password_bg.png) no-repeat;">
							<tr>
								<td width="60px" align="center"><s:text name="page.login.form.password"/></td>
								<td><input type="password" id="password" name="password" value="${password}"  style="border:none;height:21px;width:215px;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2">

						<div id="authdiv" style="width:275px;height:35px;position:relative;background:url(/images/login_server_bg.png) no-repeat;display:none;">
							
							<a href="javascript:refreshAuth();">
							<div style="position:absolute;top:5px;right:5px;width:100px;text-align:center;display:block;">
							<img id="authimg" src='<s:url value="/authcode.do"/>?r=${radom}'>
							</div>
							</a>
							
							<div style="position:absolute;top:0px;left:8px;width:50px;height:35px;line-height:35px;">
							<s:text name="page.login.form.authcode"/>
							</div>
							
							<div style="position:absolute;top:7px;left:56px;width:100px;height:35px;">
							<input type="text" id="authcode" name="authcode" style="border:none;height:18px;width:100%;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;">
							</div>
							
						</div>
					
					</td>
				</tr>
				<tr>
					<td colspan="2">
						
						<div id="dynadiv" style="width:275px;height:35px;position:relative;background:url(/images/login_server_bg.png) no-repeat;display:none;">
							<div style="position:absolute;top:0px;left:3px;width:65px;height:35px;line-height:35px;">
							<s:text name="page.login.form.dynapass"/>
							</div>
							
							<div style="position:absolute;top:7px;left:60px;width:210px;height:35px;">
							<input type="text" id="dynapass" name="dynapass" style="border:none;height:18px;width:100%;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;">
							</div>
						</div>
					
					</td>
				</tr>
				<tr>
					<td colspan="2">

						<div id="tokendiv" style="width:275px;height:35px;position:relative;background:url(/images/login_server_bg.png) no-repeat;display:none;">
							<div style="position:absolute;top:0px;left:3px;width:65px;height:35px;line-height:35px;">
							<s:text name="page.login.form.tokenpass"/>
							</div>
							
							<div style="position:absolute;top:7px;left:60px;width:210px;height:35px;">
							<input type="text" name="tokenpass" style="border:none;height:18px;width:100%;background:url(/images/bg_w_0.png) repeat scroll 0 0 transparent;">
							</div>
						</div>
						
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<s:submit value="%{getText('page.login.form.btn.login')}" cssStyle="width:275px;height:33px;font-size:14px;border:none;background:url(/images/login_btn_bg.png) repeat scroll 0 0 transparent;"></s:submit>
					</td>
				</tr>
			
			</table>

			<input type="hidden" name="clienttype" value="Webclient">
			<input type="hidden" name="clientver" value="<s:property value="getText(version)" escape="true" />">
			<input type="hidden" name="language" value="">
			<input type="hidden" name="country" value="">
			<input type="hidden" name="verify" value="<s:property value="getText(verify)" escape="true" />">
			<input type="hidden" id="needdyna" name="needdyna" />

		</s:form>
		
		</td>
	</tr>
</table>

</td></tr>
<tr><td id="loginpageinfo" height="30px;" align="center" valign="bottom" style="font-size:7pt;color:#FFF;"><s:property value="getText(name)" escape="true" />&nbsp;<s:property value="getText(version)" escape="true" /></td></tr>
</table>

<div id="loading"><s:text name="page.loading"/></div>
<div id="loadingmask" class="ui-widget-overlay"></div>

<script type="text/javascript">
$(document).ready(function() {

	$.ajaxSetup({ cache: false });
	
	$.getJSON('<s:url value="/client.do"/>?method=getconfig',function(data){
		
		var errormsg = data.error;
		if(errormsg&&errormsg.length>0) {
			alert(errormsg);
		}
		
		if(data.config) {
			if(data.config.logo) {
				$("#logo").attr("src",data.config.logo);
			}
			if(data.config.headtext) {
				$(document).attr('title',data.config.headtext);
			}
			if(data.config.loginpageinfo) {
				$("#loginpageinfo").text(data.config.loginpageinfo);
			}
		}

		$( "#loading" ).hide();
		$( "#loadingmask" ).hide();
	});
	//上传控件回调方法
	<s:if test='message.equals("112")||message.equals("113")'>
	$( "#authdiv" ).show();
	</s:if>
	<s:elseif test='message.equals("100")||message.equals("106")'>
	$( "#dynadiv" ).show();
	$( "#loginid" ).attr('readonly', true);
	$( "#password" ).attr('readonly', true);
	$( "#needdyna" ).val("1");
	</s:elseif>
	<s:elseif test='message.equals("108")||message.equals("109")'>
	$( "#tokendiv" ).show();
	</s:elseif>
	
	<s:if test='message==null||message==""'>
	if($("#autologin").attr("checked")==true) {
		$( "#loginform" ).submit();
	}
	</s:if>
	
	$("#autologin").bind("click", function(){
		if($("#autologin").attr("checked")==true) {
			$("#rememberme").attr("checked", true);
		}
	});
	
	$("#rememberme").bind("click", function(){
		if($("#rememberme").attr("checked")==false) {
			$("#autologin").attr("checked", false);
		}
	});
});

function refreshAuth() {
	$( "#authimg" ).hide();
	$( "#authimg" ).attr("src",'<s:url value="/authcode.do"/>?r='+Math.floor(Math.random()*1000+1));
	$( "#authimg" ).show();
}
</script>

</body>
</html>